Index: trunk/hardware/ps_trunk.s#4
===================================================================
--- trunk/hardware/ps_trunk.s#4	(revision 2)
+++ trunk/hardware/ps_trunk.s#4	(revision 3)
@@ -23423,30 +23665,28 @@
 <junction x="309.88" y="205.74"/>
 <pinref part="P+2" gate="1" pin="+24V"/>
-<wire x1="327.66" y1="205.74" x2="363.22" y2="205.74" width="0.1524" layer="91"/>
-<wire x1="363.22" y1="205.74" x2="370.84" y2="205.74" width="0.1524" layer="91"/>
-<wire x1="370.84" y1="205.74" x2="370.84" y2="215.9" width="0.1524" layer="91"/>
+<wire x1="327.66" y1="205.74" x2="347.98" y2="205.74" width="0.1524" layer="91"/>
+<wire x1="347.98" y1="205.74" x2="355.6" y2="205.74" width="0.1524" layer="91"/>
+<wire x1="355.6" y1="205.74" x2="355.6" y2="215.9" width="0.1524" layer="91"/>
 <junction x="327.66" y="205.74"/>
 <pinref part="R1" gate="G$1" pin="2"/>
-<wire x1="363.22" y1="203.2" x2="363.22" y2="205.74" width="0.1524" layer="91"/>
-<junction x="363.22" y="205.74"/>
+<wire x1="347.98" y1="203.2" x2="347.98" y2="205.74" width="0.1524" layer="91"/>
+<junction x="347.98" y="205.74"/>
+<pinref part="M1" gate="G$1" pin="+VO"/>
+<wire x1="355.6" y1="205.74" x2="355.6" y2="200.66" width="0.1524" layer="91"/>
+<junction x="355.6" y="205.74"/>
+<wire x1="355.6" y1="200.66" x2="370.84" y2="200.66" width="0.1524" layer="91"/>
+<wire x1="370.84" y1="195.58" x2="355.6" y2="195.58" width="0.1524" layer="91"/>
+<wire x1="355.6" y1="195.58" x2="355.6" y2="200.66" width="0.1524" layer="91"/>
+<junction x="355.6" y="200.66"/>
+<wire x1="370.84" y1="190.5" x2="355.6" y2="190.5" width="0.1524" layer="91"/>
+<wire x1="355.6" y1="190.5" x2="355.6" y2="195.58" width="0.1524" layer="91"/>
+<junction x="355.6" y="195.58"/>
+<pinref part="J3" gate="G$1" pin="1"/>
+<pinref part="J4" gate="G$1" pin="1"/>
+<pinref part="J1" gate="G$1" pin="1"/>
 </segment>
 </net>
 <net name="GND" class="0">
 <segment>
-<pinref part="J1" gate="G$1" pin="2"/>
-<pinref part="GND1" gate="1" pin="GND"/>
-<wire x1="27.94" y1="238.76" x2="38.1" y2="238.76" width="0.1524" layer="91"/>
-<wire x1="38.1" y1="238.76" x2="38.1" y2="233.68" width="0.1524" layer="91"/>
-<pinref part="J1" gate="G$1" pin="4"/>
-<wire x1="38.1" y1="233.68" x2="38.1" y2="228.6" width="0.1524" layer="91"/>
-<wire x1="38.1" y1="228.6" x2="38.1" y2="218.44" width="0.1524" layer="91"/>
-<wire x1="27.94" y1="233.68" x2="38.1" y2="233.68" width="0.1524" layer="91"/>
-<junction x="38.1" y="233.68"/>
-<pinref part="J1" gate="G$1" pin="6"/>
-<wire x1="27.94" y1="228.6" x2="38.1" y2="228.6" width="0.1524" layer="91"/>
-<junction x="38.1" y="228.6"/>
-</segment>
-<segment>
-<pinref part="PS1" gate="G$1" pin="-VO"/>
 <wire x1="274.32" y1="190.5" x2="274.32" y2="180.34" width="0.1524" layer="91"/>
 <pinref part="C2" gate="G$1" pin="2"/>
@@ -23466,26 +23706,37 @@
 <junction x="309.88" y="180.34"/>
 <pinref part="GND2" gate="1" pin="GND"/>
-<wire x1="327.66" y1="180.34" x2="363.22" y2="180.34" width="0.1524" layer="91"/>
-<wire x1="363.22" y1="180.34" x2="370.84" y2="180.34" width="0.1524" layer="91"/>
-<wire x1="370.84" y1="180.34" x2="370.84" y2="167.64" width="0.1524" layer="91"/>
+<wire x1="327.66" y1="180.34" x2="347.98" y2="180.34" width="0.1524" layer="91"/>
+<wire x1="347.98" y1="180.34" x2="355.6" y2="180.34" width="0.1524" layer="91"/>
+<wire x1="355.6" y1="180.34" x2="355.6" y2="167.64" width="0.1524" layer="91"/>
 <junction x="327.66" y="180.34"/>
 <pinref part="LED1" gate="G$1" pin="C"/>
-<wire x1="363.22" y1="182.88" x2="363.22" y2="180.34" width="0.1524" layer="91"/>
-<junction x="363.22" y="180.34"/>
+<wire x1="347.98" y1="182.88" x2="347.98" y2="180.34" width="0.1524" layer="91"/>
+<junction x="347.98" y="180.34"/>
+<pinref part="M1" gate="G$1" pin="-VO"/>
+<wire x1="370.84" y1="198.12" x2="360.68" y2="198.12" width="0.1524" layer="91"/>
+<wire x1="360.68" y1="198.12" x2="360.68" y2="193.04" width="0.1524" layer="91"/>
+<wire x1="360.68" y1="193.04" x2="370.84" y2="193.04" width="0.1524" layer="91"/>
+<wire x1="370.84" y1="187.96" x2="360.68" y2="187.96" width="0.1524" layer="91"/>
+<wire x1="360.68" y1="187.96" x2="360.68" y2="193.04" width="0.1524" layer="91"/>
+<junction x="360.68" y="193.04"/>
+<wire x1="360.68" y1="187.96" x2="360.68" y2="180.34" width="0.1524" layer="91"/>
+<junction x="360.68" y="187.96"/>
+<wire x1="360.68" y1="180.34" x2="355.6" y2="180.34" width="0.1524" layer="91"/>
+<junction x="355.6" y="180.34"/>
+<pinref part="J3" gate="G$1" pin="2"/>
+<pinref part="J4" gate="G$1" pin="2"/>
+<pinref part="J1" gate="G$1" pin="2"/>
 </segment>
 </net>
 <net name="N$1" class="0">
 <segment>
-<pinref part="J1" gate="G$1" pin="7"/>
-<wire x1="27.94" y1="226.06" x2="30.48" y2="226.06" width="0.1524" layer="91"/>
-<wire x1="30.48" y1="226.06" x2="30.48" y2="203.2" width="0.1524" layer="91"/>
-<wire x1="30.48" y1="203.2" x2="48.26" y2="203.2" width="0.1524" layer="91"/>
-<pinref part="RV2" gate="G$1" pin="2"/>
+<wire x1="27.94" y1="203.2" x2="48.26" y2="203.2" width="0.1524" layer="91"/>
+<pinref part="RV1" gate="G$1" pin="2"/>
+<pinref part="J2" gate="G$1" pin="4"/>
+<wire x1="27.94" y1="198.12" x2="27.94" y2="203.2" width="0.1524" layer="91"/>
 </segment>
 </net>
 <net name="N$2" class="0">
 <segment>
-<pinref part="J1" gate="G$1" pin="8"/>
-<wire x1="27.94" y1="223.52" x2="27.94" y2="185.42" width="0.1524" layer="91"/>
 <wire x1="27.94" y1="185.42" x2="66.04" y2="185.42" width="0.1524" layer="91"/>
 <wire x1="66.04" y1="185.42" x2="66.04" y2="187.96" width="0.1524" layer="91"/>
@@ -23498,10 +23749,11 @@
 <wire x1="76.2" y1="185.42" x2="76.2" y2="190.5" width="0.1524" layer="91"/>
 <junction x="76.2" y="185.42"/>
-<pinref part="RV1" gate="G$1" pin="1"/>
+<pinref part="RV3" gate="G$1" pin="1"/>
+<pinref part="J2" gate="G$1" pin="1"/>
+<wire x1="27.94" y1="185.42" x2="27.94" y2="190.5" width="0.1524" layer="91"/>
 </segment>
 </net>
 <net name="N$3" class="0">
 <segment>
-<pinref part="RV2" gate="G$1" pin="1"/>
 <wire x1="58.42" y1="203.2" x2="66.04" y2="203.2" width="0.1524" layer="91"/>
 <wire x1="66.04" y1="203.2" x2="66.04" y2="198.12" width="0.1524" layer="91"/>
@@ -23514,5 +23766,6 @@
 <wire x1="76.2" y1="203.2" x2="76.2" y2="198.12" width="0.1524" layer="91"/>
 <junction x="76.2" y="203.2"/>
-<pinref part="RV1" gate="G$1" pin="2"/>
+<pinref part="RV3" gate="G$1" pin="2"/>
+<pinref part="RV1" gate="G$1" pin="1"/>
 </segment>
 </net>
@@ -23542,5 +23795,4 @@
 <segment>
 <wire x1="134.62" y1="203.2" x2="134.62" y2="213.36" width="0.1524" layer="91"/>
-<pinref part="PS1" gate="G$1" pin="AC(L)"/>
 <wire x1="134.62" y1="213.36" x2="149.86" y2="213.36" width="0.1524" layer="91"/>
 <wire x1="149.86" y1="213.36" x2="172.72" y2="213.36" width="0.1524" layer="91"/>
@@ -23562,4 +23814,5 @@
 <wire x1="210.82" y1="195.58" x2="210.82" y2="213.36" width="0.1524" layer="91"/>
 <junction x="210.82" y="213.36"/>
+<pinref part="M1" gate="G$1" pin="AC(L)"/>
 </segment>
 </net>
@@ -23568,5 +23821,4 @@
 <wire x1="134.62" y1="177.8" x2="134.62" y2="165.1" width="0.1524" layer="91"/>
 <wire x1="134.62" y1="165.1" x2="149.86" y2="165.1" width="0.1524" layer="91"/>
-<pinref part="PS1" gate="G$1" pin="AC(N)"/>
 <wire x1="149.86" y1="165.1" x2="172.72" y2="165.1" width="0.1524" layer="91"/>
 <wire x1="172.72" y1="165.1" x2="190.5" y2="165.1" width="0.1524" layer="91"/>
@@ -23586,4 +23838,5 @@
 <pinref part="C7" gate="G$1" pin="-"/>
 <wire x1="210.82" y1="187.96" x2="210.82" y2="165.1" width="0.1524" layer="91"/>
+<pinref part="M1" gate="G$1" pin="AC(N)"/>
 </segment>
 </net>
@@ -23592,5 +23845,5 @@
 <pinref part="LED1" gate="G$1" pin="A"/>
 <pinref part="R1" gate="G$1" pin="1"/>
-<wire x1="363.22" y1="190.5" x2="363.22" y2="193.04" width="0.1524" layer="91"/>
+<wire x1="347.98" y1="190.5" x2="347.98" y2="193.04" width="0.1524" layer="91"/>
 </segment>
 </net>
@@ -23601,4 +23854,8 @@
 </drawing>
 <compatibility>
+<note version="6.3" minversion="6.2.2" severity="warning">
+Since Version 6.2.2 text objects can contain more than one line,
+which will not be processed correctly with this version.
+</note>
 <note version="8.2" severity="warning">
 Since Version 8.2, EAGLE supports online libraries. The ids
@@ -23616,4 +23873,9 @@
 packages will not be understood (or retained) with this version.
 </note>
+<note version="9.4" severity="warning">
+Since Version 9.4, EAGLE supports the overriding of 3D packages
+in schematics and board files. Those overridden 3d packages
+will not be understood (or retained) with this version.
+</note>
 <note version="8.4" severity="warning">
 Since Version 8.4, EAGLE supports properties for SPICE simulation. 
